/*
    DEMO STYLE
*/

@import "https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700";
body {
    font-family: 'Poppins', sans-serif;
    background: #fafafa;
}

a:hover,
a:focus {
    text-decoration: none;
    transition: all 0.3s;
    background-color: rgba(0, 0, 0, 0.1);
}

.navbar {
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

i, span {
    display: inline-block;
}

.wrapper {
    display: flex;
    align-items: stretch;
}

#sidebar {
    min-width: 30%;
    max-width: 30%;
    color: #fff;
    transition: all 0.5s;
}

#sidebar.active {
    min-width: 10%;
    max-width: 10%;
}

#sidebar.active .sidebar-header h4 {
    display: none;
}

#sidebar.active .sidebar-header strong {
    display: block;
}

#sidebar .sidebar-header {
    padding: 20px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

#sidebar .sidebar-header strong {
    display: none;
    font-size: 1.8em;
}

a[data-toggle="collapse"] {
    position: relative;
}

#content {
    width: 100%;
    padding: 10px;
    min-height: 100vh;
    transition: all 0.3s;
}

@media (max-width: 768px) {
    #sidebar {
        min-width: 80px;
        max-width: 80px;
        text-align: center;
        margin-left: -80px !important;
    }
    #sidebar.active {
        margin-left: 0 !important;
    }
    #sidebar .sidebar-header h4 {
        display: none;
    }
    #sidebar .sidebar-header strong {
        display: block;
    }
    #sidebar {
        margin-left: 0;
    }
    #sidebarCollapse span {
        display: none;
    }
}
